Package com.collibra.dgc.core.api.dto.quality

# Class FindDataQualityRulesRequest

Object
PagedRequest
FindDataQualityRulesRequest

All Implemented Interfaces:
  `Serializable`

@Deprecated public class FindDataQualityRulesRequest extends PagedRequest
Deprecated.
This class will be removed in the future. This feature is being dropped, so no replacement will be available.
The search criteria for DataqualityRules.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned dataqualityrules satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 attribute types is returned

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindDataQualityRulesRequest.Builder`
  Deprecated.
  `static enum`
  `FindDataQualityRulesRequest.SortField`
  Deprecated.

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindDataQualityRulesRequest()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindDataQualityRulesRequest.Builder`
  `builder()`
  Deprecated.
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `String`
  `getName()`
  Deprecated.
  The name of the dataquality rule to search for.
  `MatchMode`
  `getNameMatchMode()`
  Deprecated.
  The match mode used to compare `name`.
  `FindDataQualityRulesRequest.SortField`
  `getSortField()`
  Deprecated.
  The field that should be used as reference for sorting.
  `SortOrder`
  `getSortOrder()`
  Deprecated.
  The order of sorting.
  `int`
  `hashCode()`
  Deprecated.
  `void`
  `setName(String name)`
  Deprecated.
  The name of the dataquality rule to search for.
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  Deprecated.
  The match mode used to compare `name`.
  `void`
  `setSortField(FindDataQualityRulesRequest.SortField sortField)`
  Deprecated.
  The field that should be used as reference for sorting.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  Deprecated.
  The order of sorting.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindDataQualityRulesRequest

    public FindDataQualityRulesRequest()
    Deprecated.

- ## Method Details

  - ### builder

    public static FindDataQualityRulesRequest.Builder builder()
    Deprecated.

  - ### getName

    public String getName()
    Deprecated.
    The name of the dataquality rule to search for.

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    Deprecated.
    The match mode used to compare `name`.

  - ### getSortField

    public FindDataQualityRulesRequest.SortField getSortField()
    Deprecated.
    The field that should be used as reference for sorting.

  - ### getSortOrder

    public SortOrder getSortOrder()
    Deprecated.
    The order of sorting.

  - ### setName

    public void setName(String name)
    Deprecated.
    The name of the dataquality rule to search for.

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    Deprecated.
    The match mode used to compare `name`.

  - ### setSortField

    public void setSortField(FindDataQualityRulesRequest.SortField sortField)
    Deprecated.
    The field that should be used as reference for sorting.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    Deprecated.
    The order of sorting.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `PagedRequest`